Subject: 30.0.50; italic face fallback does not assume italic properties

From: Po Lu <[email-masked]>
Date: Sun, 19 Nov 2023 14:01:04 +0800

When the default font doesn't supply an Italic variant, the italic face
is assigned an underline propery in its place.  But when the italic face
is merged with another face whose font does supply such a variant, the
underline is applied all the same while the slant that would ideally be
also is disregarded.

Hence if the default font is set to Droid Sans Mono (with no Italic
variant) while shr-text is set to Times New Roman, italic text rendered
by shr:

  (shr-text italic)

is underlined rather than slanted.  Moreover, no underline or slant is
manifested if there is an Italic variant to the default font but not the
face being merged with italic, depriving such italic text of any visual
distinctiveness.